{{- if .Values.yolo-registry.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: yolo-registry
  namespace: argocd
spec:
  project: aux
  destination:
    server: https://kubernetes.default.svc
    namespace: yolo
  sources:
  - repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: main
    path: charts/yolo-registry
{{- end }}
